// * seta43.duckdns.org

#include <Wire.h>
#include "ATH20.h"

ATH20 ATH;

int contador;

void setup() 
{
  Serial.begin(9600);  
  while (!Serial);  
  Serial.println("ATH20 DEMO");
  ATH.begin();
}


void loop() 
{
 float humi, temp;

  Serial.print(contador);  
  
  int ret = ATH.getSensor(&humi, &temp);
  if(ret)     // GET DATA OK
    {
        Serial.print(" - Humedad= ");
        Serial.print(humi*100);
        Serial.print(" %  Temperatura= ");
        Serial.print(temp); Serial.println("ºC");
    }
    else        // GET DATA FAIL
    {
        Serial.println("GET DATA FROM ATH20 FAIL");
    }
  
  delay(1500);

  contador++;
}
